From e8241ed64f84f6a9842050a1252d55792478bd70 Mon Sep 17 00:00:00 2001
From: liu shiwei <liushiwei@gmail.com>
Date: Mon, 22 Aug 2016 19:04:54 +0800
Subject: [PATCH] add m5040

---
 Targets/Bonito2fdev/conf/Bonito.2fdev.m5040 | 197 ++++++++++++++++++++++++++++
 zloader.2fdev.m5040                         |   1 +
 zloader/Makefile.2fdev.m5040                |   7 +
 3 files changed, 205 insertions(+)
 create mode 100644 Targets/Bonito2fdev/conf/Bonito.2fdev.m5040
 create mode 120000 zloader.2fdev.m5040
 create mode 100755 zloader/Makefile.2fdev.m5040

diff --git a/Targets/Bonito2fdev/conf/Bonito.2fdev.m5040 b/Targets/Bonito2fdev/conf/Bonito.2fdev.m5040
new file mode 100644
index 0000000..185a5b7
--- /dev/null
+++ b/Targets/Bonito2fdev/conf/Bonito.2fdev.m5040
@@ -0,0 +1,197 @@
+# $Id: Bonito,v 1.1.1.1 2006/09/14 01:59:09 root Exp $ # #	GENERIC configuration for Galileo EV64240 # #  This file is supposed to be included by target file after #  endian has been defined.
+#
+machine         Bonito2fdev        mips    # CPU Architecture, Platform
+config          pmon 
+
+#
+#  Define target endian
+#
+makeoptions	ENDIAN=EL		# Little endian version.
+
+
+#include "conf/GENERIC_ALL"
+
+#
+# System Name and Target Name
+#
+option		SYSTYPE="\"Bonito\""
+option		TARGETNAME="\"Bonito\""
+
+#
+# Platform options
+#
+option		BONITOEL	
+option      	DEVBD2F
+option		MIPS
+option		INET
+
+select		mod_flash_amd		# AMD flash device programming
+select		mod_flash_intel		# intel flash device programming
+select		mod_flash_sst		# intel flash device programming
+select		mod_debugger		# Debugging module
+select		mod_symbols		# Symbol table handling
+select		mod_s3load		# Srecord loading
+#select		mod_fastload		# LSI Fastload
+select		mod_elfload		# ELF loading
+
+#
+# Command selection. Selects pmon commands
+#
+select		cmd_newmt
+select		cmd_setup
+select		mod_display
+select		cmd_about		# Display info about PMON
+select		cmd_boot		# Boot wrapper
+select		cmd_mycmd
+select		cmd_newmt
+select		cmd_cache		# Cache enabling
+#select		cmd_call		# Call a function command
+select		cmd_date		# Time of day command
+select		cmd_env			# Full blown environment command set
+select		cmd_flash		# Flash programming cmds
+select		cmd_hist		# Command history
+select		cmd_ifaddr		# Interface address command
+select		cmd_l			# Disassemble
+select		cmd_mem			# Memory manipulation commands
+select		cmd_more		# More paginator
+select		cmd_mt			# Simple memory test command
+select		cmd_misc		# Reboot & Flush etc.
+#select		cmd_stty		# TTY setings command
+select		cmd_tr			# Host port-through command
+select		cmd_devls		# Device list
+select		cmd_set			# As cmd_env but not req. cmd_hist
+select		cmd_testdisk
+#
+select		cmd_shell		# Shell commands, vers, help, eval
+select		cmd_xyzmodem
+select		boot_menu
+#
+#
+# Platform options
+#
+
+select 		ramfiles
+select		mod_uart_ns16550	# Standard UART driver
+#option		CONS_BAUD=B9600
+option		CONS_BAUD=B115200
+select		ext2
+select		fatfs
+#select		mod_x86emu		# X86 emulation for VGA
+option 	MY40IO
+#select		mod_x86emu_int10
+select 		mod_framebuffer
+select		mod_smi502		# Silicon Motion502
+option		SMI502
+#option		X640x480
+option		X800x480
+#option		X800x600
+#option		X1024x768
+#option		X1280x800
+#option 	CONFIG_VIDEO_8BPP
+option 		CONFIG_VIDEO_16BPP
+#option 	CONFIG_VIDEO_32BPP
+select		mod_vgacon
+option		NOPCINAMES		# Save some space for x86emu
+#option		FASTBOOT
+#select	    vt82c686        #via686a/b code
+
+#
+# Functional options.
+#
+option		NOSNOOP			# Caches are no-snooping
+
+#
+# HAVE options. What tgt level provide
+#
+option		HAVE_TOD		# Time-Of-Day clock
+option		HAVE_NVENV		#  Platform has non-volatile env mem
+option		HAVE_LOGO		# Output splash logo
+option		USE_SUPERIO_UART
+#option		USE_LEGACY_RTC
+#option		GODSONEV2A
+#option		LINUX_PC
+#option		LONGMENG
+#option		RADEON7000
+#option 	DEBUG_EMU_VGA
+option		AUTOLOAD
+#option		CONFIG_PCI0_LARGE_MEM	
+#option		CONFIG_PCI0_HUGE_MEM	
+#option		CONFIG_PCI0_GAINT_MEM	
+option		CONFIG_CACHE_64K_4WAY
+option 	    NVRAM_IN_FLASH	
+
+#
+#  Now the Machine specification
+#
+mainbus0        at root
+localbus0	at mainbus0
+loopdev0	at mainbus0
+#fd0         at mainbus0
+pcibr0		at mainbus0
+#pcibr1		at mainbus0
+pci*		at pcibr?
+#ppb*		at pci? dev ? function ?	# PCI-PCI bridges
+#pci*		at ppb? bus ?
+atp*		at pci? dev ? function ?  #sata atp8620
+sata*		at atp?
+#### USB
+#uhci*		at pci? dev ? function ?
+
+#### SCSI support
+#siop*		at pci? dev ? function ?	# Symbios/NCR 53c...
+#scsibus*	at siop?
+#sd*		at scsibus? target ? lun ? 
+#cd*		at scsibus? target ? lun ? 
+
+#### Networking Devices
+#gt0		at localbus? base 4
+#gt1		at localbus? base 5
+#gt2		at localbus? base 6
+# fxp normally only used for debugging (enable/disable both)
+fxp0            at pci? dev ? function ?        # Intel 82559 Device
+#inphy*          at mii? phy ?                   # Intel 82555 PHYs
+rtl*        at pci? dev ? function ?
+#uhci*		 at pci? dev ? function ?
+ohci*		 at pci? dev ? function ?
+usb*		 at usbbus ? 
+#ohci1		 at pci? dev ? function ?
+
+select      mod_usb
+select  	mod_usb_storage
+#select      mod_usb_uhci
+select 	 	mod_usb_ohci
+select      mod_usb_kbd
+
+
+#### IDE controllers
+pciide* 	at pci ? dev ? function ? flags 0x0000
+
+#### IDE hard drives
+wd*		at pciide? channel ? drive ? flags 0x0000
+wd*		at atp? channel ? drive ? flags 0x0000
+#### Pseudo devices
+pseudo-device	loop	1	# network loopback
+
+ide_cd* 	at pciide? channel ? drive ? flags 0x0001
+select 		iso9660
+option IDECD 
+#option HAVE_NB_SERIAL
+#option USE_ENVMAC
+#option LOOKLIKE_PC
+#select cmd_lwdhcp
+#select cmd_bootp
+option FOR_GXEMUL
+select fatfs
+option FLOATINGPT
+option PCI_IDSEL_VIA686B=0
+option COM3_BASE_ADDR=0xbfc803f8
+option DEVBD2F_SM502
+select gzip
+option INPUT_FROM_BOTH
+option OUTPUT_TO_BOTH
+#option TEST_SM502_UART0
+option	USE_SM502_UART0
+select http
+select tcp
+select inet
+select tftpd
diff --git a/zloader.2fdev.m5040 b/zloader.2fdev.m5040
new file mode 120000
index 0000000..a8f6aad
--- /dev/null
+++ b/zloader.2fdev.m5040
@@ -0,0 +1 @@
+zloader
\ No newline at end of file
diff --git a/zloader/Makefile.2fdev.m5040 b/zloader/Makefile.2fdev.m5040
new file mode 100755
index 0000000..2b6506e
--- /dev/null
+++ b/zloader/Makefile.2fdev.m5040
@@ -0,0 +1,7 @@
+TARGET=Bonito2fdev
+TARGETEL=Bonito.2fdev.m5040
+export START=start_sm502.o
+MEMSIZE=256
+ZLOADER_OPTIONS=-mips3
+
+include Makefile.inc
-- 
2.8.1

